package com.example.acceler8;

import android.graphics.Paint;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.TextView;

public class Acceler8 extends Activity implements SensorEventListener
{
  private SensorManager mSensorManager;
  private Sensor mAccelerometer;
  private TextView tv;
//???  private Canvas cv;
//???  private Bitmap bmp;
  private Paint pBlue;
  float x, y, z;
  View mainView;

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_acceler8);
    tv = new TextView(this);
    mainView = new View(this);
    tv.setTextSize(25);
    tv.setText("John's Accelerometer Test 2");
    setContentView(tv);
    mSensorManager = (SensorManager)getSystemService(SENSOR_SERVICE);
    mAccelerometer = mSensorManager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER);
	}
	
	@Override
  protected void onResume()
  {
		super.onResume();
    mSensorManager.registerListener(this, mAccelerometer, SensorManager.SENSOR_DELAY_NORMAL);
  }
	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.acceler8, menu);
		return true;
	}
  public void onAccuracyChanged(Sensor sensor, int accuracy)
  {
  }

public void onSensorChanged(SensorEvent event)
  {
  if (event.sensor.getType()==Sensor.TYPE_ACCELEROMETER)
    { 
    x=(event.values[0]); 
    y=(event.values[1]); 
    z=(event.values[2]);
    mainView.invalidate();

     String s = "John Cole's Accelerometer Test 2" +
             "\n x:"+String.format("%.3f",x) + 
             "\n y:"+String.format("%.3f",y) +
             "\n z:"+String.format("%.3f",z);
     tv.setText(s);
     setContentView(tv);
//???          setContentView(mainView);
  } 
}

}
